using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class rl_students_pg_ClassScheduleForStudent : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!Page.IsPostBack)
            {
                C_myClass.MenueItemsCreate(User, panelMenues);
                Label lblTitle = (Label)this.Master.FindControl("lblTitle");
                lblTitle.Text = "برنامه کلاسی";
                int classId = Int32.Parse(Request.QueryString["classId"].ToString());
                SqlDataSource1.SelectCommand = "SELECT t_ClassSessions.sessionId, t_Classes.classTitle, t_ClassSessions.sessionDate, t_ClassSessions.sessionTime, t_ClassSessions.classNumber FROM t_ClassSessions INNER JOIN t_Classes ON t_ClassSessions.classId = t_Classes.classId WHERE (t_ClassSessions.classId = " + classId + ")";
                GridView1.DataBind();
            }
        }
        catch
        {
        }
        finally
        {
        }
    }
    protected void btnBack_Click(object sender, EventArgs e)
    {
        try
        {
            string returnUrl = Request.QueryString["returnUrl"].ToString();
            Response.Redirect(returnUrl);
        }
        catch
        {
        }
    }
}
